#!/bin/sh
# 2019-11-05, Nico Schottelius

set -e

version=4.0.6

cat <<EOF
Required for building:

Alpine:

apk add build-base libnl3-dev iptables-dev argp-standalone

Compiling on alpine requires:

LDFLAGS=-largp
LDFLAGS=-largp ./configure
LDFLAGS=-largp make
make install

Build requirements devuan:

- dkms
- kernel headers for current kernel

apt install libnl-genl-3-dev libxtables-dev

EOF

wget -c https://github.com/NICMx/Jool/releases/download/v${version}/jool-${version}.tar.gz
tar xfz jool-${version}.tar.gz

# 1. kernel module
dkms install jool-${version}

# 2. user space
cd jool-${version}
./configure
make
make install


# add openrc script for alpine
